Skip to main content
`Ctrl`+`K`

# DMCreateDS

Create the discrete systems for the `DM` based upon the fields added to the `DM`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCreateDS(DM dm)

Collective

## Input Parameter

- dm - The `DM`

## Options Database Key

- -dm_petscds_view - View all the `PetscDS` objects in this `DM`

## Developer Note

The name of this function is wrong. Create functions always return the created object as one of the arguments.

## See Also

DM Basics, `DM`, `DMSetField`, `DMAddField()`, `DMGetDS()`, `DMGetCellDS()`, `DMGetRegionDS()`, `DMSetRegionDS()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/dm/impls/plex/tutorials/ex16.c
src/dm/impls/plex/tutorials/ex4f90.F90
src/dm/impls/swarm/tutorials/ex1f90.F90
src/dm/impls/plex/tutorials/ex8.c
src/dm/impls/swarm/tutorials/ex1.c
src/snes/tutorials/ex11.c
src/dm/dt/dualspace/impls/lagrange/tutorials/ex2.c
src/dm/field/tutorials/ex1.c
src/snes/tutorials/ex64.c
src/dm/impls/plex/tutorials/ex15.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages